generator:
  class:              sfPropel13AdminGenerator
  param:
    model_class:      Tblcategory
    theme:            default
    list:
      object_actions:
        _edit: -
        all_posts: { name: see all document fo this category, action: Documents, icon: /sf/sf_admin/images/filter.png}
        _delete: -
      actions:
        _create: { name: Add category}
        _createbatch: { name: Add batch category}
      title: List category
      display: [=_cgname, cg_id, cg_desc, _cg_num_doc, _cg_order]
      filters: [cg_name, _cg_parentid]
      fields:
        cgname: { name: Category name}
        cg_id: { name: ID}
        cg_desc: { name: Description category}
        cg_name: { name: Category name}
        cg_num_doc: { name: Num doc}
        cg_parentid: { name: Subject}
      max_per_page: 300

    edit:
      display: [cg_name, cg_desc, _cg_parentid]
      fields:
        cg_name: { name: Name}
        cg_desc: { name: Description}
      ##actions:
        ##_addCategory: { name: Save}

